From 3ab6e45220337f12f330bcf807d992b4a7c6acd2 Mon Sep 17 00:00:00 2001
From: DreamMaoMao <2523610504@qq.com>
Date: Fri, 19 Jun 2026 18:22:58 +0800
Subject: [PATCH 15/16] opt: make sure animaiton var init

---
 src/mango.c | 5 +++++
 1 file changed, 5 insertions(+)

diff --git a/src/mango.c b/src/mango.c
index 1bd38a068..1684f9fc4 100644
--- a/src/mango.c
+++ b/src/mango.c
@@ -4547,6 +4547,11 @@ void init_client_properties(Client *c) {
 		   sizeof(c->opacity_animation.current_border_color));
 	c->opacity_animation.initial_opacity = c->unfocused_opacity;
 	c->opacity_animation.current_opacity = c->unfocused_opacity;
+	c->animation.tagining = false;
+	c->animation.running = false;
+	c->animation.overining = false;
+	c->animation.tagouting = false;
+	c->animation.tagouted = false;
 }
 
 void // old fix to 0.5

